function [outlist,extralist] = fixlist(inlist)

if (strcmp(strrep(inlist,' ',''),'')==1)|isempty((findstr('|',inlist))==1);
   outlist = '';
   return;
end;

positions = findstr('|',inlist);
numpos = size(positions,2);
outlist = '';
begpos = 1;
for i=1:min(numpos,10);
   thisfile = inlist(1,begpos:positions(1,i)-1);
   thisfile = strrep(thisfile,'|','');
   if fileexist(thisfile)==1;
      outlist = strvcat(outlist,thisfile);
   end;
   begpos = positions(1,i)+1;
end;

if nargout>1;
   extralist = inlist;
end;

%
% end of fixlist.m
%
