function moved = DidLegendMove(legh)
% Check to see if the legend has been moved
ud = get(legh,'userdata');
units = get(legh,'units');
set(legh,'units','normalized')
pos = get(legh,'position');
set(legh,'units','pixels')
tol = pos ./ get(legh,'position')/2;
if any(abs(ud.LegendPosition - pos) > max(tol(3:4)))
  moved = 1;
else
  moved = 0;
end
set(legh,'units',units)

%
% end of DidLegendMove.m
%