function stat = iswinnt

file = [pwd '\iswinnt.txt'];
if fileexist(file)==1;
   txt = readtext(file);
   if min(size(txt))==1;
      txt = txt{1};
      txt = strrep(txt,' ','');
      stat = str2double(txt);
      if isnumeric(stat)==1;
         return;
      end;
   end;
end;

stat = 0;
if strcmp(computer,'PCWIN')==1;
   if iscompiled==1;
      prog = ['bin\execute.exe bin\win-version.exe ' pwd];
   else;
      prog = ['bin\win-version.exe ' pwd];
   end;
   dos(prog);
   stat_e = waitfor_filewrite(file,'t',5000);
   if stat_e==0;
      txt = readtext(file);
      if min(size(txt))==1;
         txt = txt{1};
         txt = strrep(txt,' ','');
         stat = str2double(txt);
         if isnumeric(stat)==0;
            stat = 0;
         end;
      end;
   else;
      fid = fopen(file,'wt');
      fprintf(fid,'0\n');
      fclose(fid);
   end;
end;

%
% end of iswinnt.m
%
